@file:OptIn(InternalResourceApi::class)

package world.respect.shared.generated.resources

import kotlin.OptIn
import kotlin.String
import kotlin.collections.MutableMap
import org.jetbrains.compose.resources.DrawableResource
import org.jetbrains.compose.resources.InternalResourceApi
import org.jetbrains.compose.resources.ResourceItem

private const val MD: String = "composeResources/world.respect.shared.generated.resources/"

public val Res.drawable.compose_multiplatform: DrawableResource by lazy {
      DrawableResource("drawable:compose_multiplatform", setOf(
        ResourceItem(setOf(), "${MD}drawable/compose-multiplatform.xml", -1, -1),
      ))
    }

public val Res.drawable.copycode: DrawableResource by lazy {
      DrawableResource("drawable:copycode", setOf(
        ResourceItem(setOf(), "${MD}drawable/copycode.png", -1, -1),
      ))
    }

public val Res.drawable.empty: DrawableResource by lazy {
      DrawableResource("drawable:empty", setOf(
        ResourceItem(setOf(), "${MD}drawable/empty.png", -1, -1),
      ))
    }

public val Res.drawable.enter_invite_code: DrawableResource by lazy {
      DrawableResource("drawable:enter_invite_code", setOf(
        ResourceItem(setOf(), "${MD}drawable/enter_invite_code.webp", -1, -1),
      ))
    }

public val Res.drawable.fingerprint: DrawableResource by lazy {
      DrawableResource("drawable:fingerprint", setOf(
        ResourceItem(setOf(), "${MD}drawable/fingerprint.png", -1, -1),
      ))
    }

public val Res.drawable.open_respect_app: DrawableResource by lazy {
      DrawableResource("drawable:open_respect_app", setOf(
        ResourceItem(setOf(), "${MD}drawable/open_respect_app.webp", -1, -1),
      ))
    }

public val Res.drawable.review_and_complete_setup: DrawableResource by lazy {
      DrawableResource("drawable:review_and_complete_setup", setOf(
        ResourceItem(setOf(), "${MD}drawable/review_and_complete_setup.webp", -1, -1),
      ))
    }

public val Res.drawable.search_school: DrawableResource by lazy {
      DrawableResource("drawable:search_school", setOf(
        ResourceItem(setOf(), "${MD}drawable/search_school.webp", -1, -1),
      ))
    }

public val Res.drawable.share_invite_code: DrawableResource by lazy {
      DrawableResource("drawable:share_invite_code", setOf(
        ResourceItem(setOf(), "${MD}drawable/share_invite_code.webp", -1, -1),
      ))
    }

public val Res.drawable.undraw_qr_code_scan_bewe: DrawableResource by lazy {
      DrawableResource("drawable:undraw_qr_code_scan_bewe", setOf(
        ResourceItem(setOf(), "${MD}drawable/undraw_qr_code_scan_bewe.xml", -1, -1),
      ))
    }

@InternalResourceApi
internal fun _collectCommonMainDrawable0Resources(map: MutableMap<String, DrawableResource>) {
  map.put("compose_multiplatform", Res.drawable.compose_multiplatform)
  map.put("copycode", Res.drawable.copycode)
  map.put("empty", Res.drawable.empty)
  map.put("enter_invite_code", Res.drawable.enter_invite_code)
  map.put("fingerprint", Res.drawable.fingerprint)
  map.put("open_respect_app", Res.drawable.open_respect_app)
  map.put("review_and_complete_setup", Res.drawable.review_and_complete_setup)
  map.put("search_school", Res.drawable.search_school)
  map.put("share_invite_code", Res.drawable.share_invite_code)
  map.put("undraw_qr_code_scan_bewe", Res.drawable.undraw_qr_code_scan_bewe)
}
